#
# TCL Script that tabulates the BER for various SNR's
# The sys-ete-ber.t topology implements a QPSK digital communications link
# The number of bits is different for each SNR 
# The script demonstrates coupling of two different paramters per simulation.
# The script stores the results of each run in a list.
# At the end of the iteration loop the results are tabulated.
#
# Author: Sasan Ardalan
# June 25th, 2006
#

new


set noiseVariance {0.2 0.15 0.1 0.08 0.05  }
set bits { 100000 100000 10000000 10000000 10000000 }


# capload rs_channel_awgn.t
capload digital_link_awgn.t


set berResults [list {}]
foreach noise  $noiseVariance numbits $bits {
    
    to bdata 
	parambyname num_of_samples $numbits
    
    to addnoise0
    parambyname power $noise
    
    run
    puts -nonewline "$noise : $numbits "
    puts "BER=$ecountfap0_ber"
    
    lappend berResults [list $noise $ecountfap0_ber ]
    

}

puts [ llength $berResults ]
puts -nonewline SNR
puts -nonewline "\t"
puts   BER

foreach value $berResults {
   puts  -nonewline [lindex $value 0]
   puts  -nonewline "\t"
   puts   [lindex $value  1]

}
