#
# TCL Script that tabulates the BER for various SNR's
# The digital_link_mapper_fec_snr.t  topology implements a  communications link
# with Convolutional Encoder and Viterbi Decoder 
# The number of bits is different for each SNR 
# The script demonstrates coupling of two different paramters per simulation.
# The script stores the results of each run in a list.
# At the end of the iteration loop the results are tabulated.
#
# Author: Sasan Ardalan
# June 25th, 2006
#

new


#set noiseVariance {0.2 0.15 0.1 0.08 0.05  }



#set snr {3 4 5 6 7 8 10 10.3          }
set snr {10 12 14 16 18 20 22           }

set bits {1000000 1000000 1000000 10000000 10000000 50000000  }


# capload rs_channel_awgn.t
#capload digital_link_awgn.t

capload digital_link_mapper_fec_snr.t 




set berResults [list {}]
#foreach snrval  $snr numbits $bits {
foreach snrval  $snr  {
    
#    to bdata 
#	parambyname num_of_samples $numbits
    
    to cxsetsnr0
    parambyname snr $snrval
    
    run
#    puts -nonewline "$snrval : $numbits "
    puts -nonewline "$snrval  "
    puts "BER=$ecountfap0_ber"
    
    lappend berResults [list $snrval $ecountfap0_ber ]
    

}

puts [ llength $berResults ]
puts -nonewline SNR
puts -nonewline "\t"
puts   BER

foreach value $berResults {
   puts  -nonewline [lindex $value 0]
   puts  -nonewline "\t"
   puts   [lindex $value  1]

}
