
# topology file:  digital_link_awgn.t

#--------------------------------------------------- 
# Title: ------   
# Author: ------   
# Date: ------   
# Description: ------   
#--------------------------------------------------- 

inform title ------  
inform author ------  
inform date ------  
inform descrip ------  

arg -1 (none)

param int 1000000    num_of_samples   "total number of samples to output"
param int 12    initialize   "Initialization for shift register"
param float 1    pace_rate   "pace rate to determine how many samples to output"
param int 128    samples_first_time   "number of samples on the first call if paced"
block bdata0 bdata

param int 0    code_type   "Code type:0-Binary(NRZ),1-Biphase(Manchester),2-2B1Q,3-RZ-AMI(Alternate mark inversion)"
param int 1    smplbd   "Samples per baud"
block linecode0 linecode

param float 0.15    power   "Noise power"
param int 333    seed   "Seed for random number generator"
block addnoise0 addnoise

param array 2  -1  1    level   "Array of decision levels: # of levels, levels"
block slice0 slice

block sink0 sink

param int 1000000000    N   "Number of samples to output"
param int 0    first   "First sample to start from"
param float 0.5    gain   "Gain"
param float 0.5    offset   "DC Offset"
param int 0    operation   "Operation:0=none,1=abs,2=square,3=sqrt,4=dB"
block operate0 operate

param int 0    ignore   "Number of samples to ignore for final error tally"
param int 30000    err_msg   "Index after which each error is printed to terminal"
param file ecount.dat    fileName   "File name to append results"
block ecountfap0 ecountfap

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file errors    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 0    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block prbplot0840 plottxt

connect bdata0 0 linecode0 0  	{bdata0:NULL:NULL,linecode0:bindata:float}
connect bdata0 1 ecountfap0 1  	{bdata0:NULL:NULL,ecountfap0:x:float}
connect linecode0 0 addnoise0 0  	{linecode0:NULL:NULL,addnoise0:inp:float}
connect linecode0 1 sink0 0  	
connect addnoise0 0 slice0 0  	{addnoise0:out:float,slice0:x:float}
connect slice0 0 operate0 0  	{slice0:NULL:NULL,operate0:x:float}
connect operate0 0 ecountfap0 0  	{operate0:xmod:float,ecountfap0:w:float}
connect ecountfap0 0 prbplot0840 0  	

