
# topology file:  digital_link_mapper_fec_snr.t

#--------------------------------------------------- 
# Title:  
# Author:  
# Date:  
# Description:  
#--------------------------------------------------- 

inform title 
inform author 
inform date 
inform descrip 

arg 0 int 10000 "Frame Size"
arg 1 int 3 "Map"
arg 2 int 10202 "bits"

param arg 2    num_of_samples   "bits"
param int 12    initialize   "Initialization for shift register"
param float 1    pace_rate   "pace rate to determine how many samples to output"
param int 128    samples_first_time   "number of samples on the first call if paced"
block bdata0 bdata

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file bdata    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 1    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block plot1 plottxt

param int 7    K   " Contraint Length K ( 3,5,7,9) "
param arg 2    frameLength   "bits"
block convenc0 convenc

param arg 1    map   "Map"
block mapper0 mapper

param float 40    snr   "SNR, dB"
param int 200    preambleSize   "Preamble Size"
param int 100    windowSize   "Window Size"
param float 1e-06    silenceThreshold   "Silence Threshold"
param int 333    seed   "Seed for random number generator"
param int 0    verbose   "Verbose"
block cxsetsnr0 cxsetsnr

param int 128    npts   "Number of points ( dynamic plot window)"
param int 0    skip   "Number of points to skip"
param file Rx    title   "Title"
param file X    x_axis   "x Axis"
param file Y    y_axis   "y Axis"
param int 2    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 0    fixed   "Fixed Bounds ( 0=none, 1=fixed)"
param float -1.2    minx   "Minimum x"
param float 1.2    maxx   "Maximum x"
param float -1.2    miny   "Minimum y"
param float 1.2    maxy   "Maximum y"
param int 0    markerType   "Marker type:0=dot,1=O,2=+,3=X,4=*,5=square,6=diamond,7=triangle"
param int 1    control   "Control: 1=On, 0=Off"
param int 1    bufferType   "Buffer type:0= Float,1= Complex, 2=Integer"
param int 0    mode   "0=Static,1=Dynamic"
block scatter0 scattertxt

param float 7    factorReal   "Gain factor real part"
param float 0    factorImag   "Gain factor imaginary part"
block cxgain0 cxgain

param arg 1    map   "Map"
param int 1    soft   " Soft=1 Hard=0 "
block demapper0 demapper

param int 0    skip   "Points to skip"
param file stat.dat    stat_file   "File to store results"
block stats0 stats

param arg 2    sizeOfFrame   "bits"
param int 7    K   " Contraint Length K ( 3,5,7,9) "
param float 0    es_ovr_n0   " ES Over N0 "
param int 2    quantizerType   " Quantizer Type (1,2, or 3) "
param int 3    bitsPerSoftValue   " Number of Bits Per Soft Value "
param int 5    tracebackDepthFactor   " The traceback Depth as a multiple of the constraint length "
param arg 0    frameLength   "Frame Size"
block vitdec_pars802160 vitdec_pars80216

param int 0    ignore   "Number of samples to ignore for final error tally"
param int 30000    err_msg   "Index after which each error is printed to terminal"
param file ecount.dat    fileName   "File name to append results"
block ecountfap0 ecountfap

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file errors    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 1    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block xplot plottxt

connect bdata0 0 plot1 0  	
connect bdata0 1 ecountfap0 0  	{bdata0:NULL:NULL,ecountfap0:w:float}
connect plot1 0 convenc0 0  	{plot1:NULL:NULL,convenc0: bits : float }
connect convenc0 0 mapper0 0  	{convenc0: symbols : float ,mapper0: x : float }
connect mapper0 0 cxsetsnr0 0  	{mapper0: output : complex ,cxsetsnr0:inp:complex}
connect cxsetsnr0 0 scatter0 0  	
connect scatter0 0 cxgain0 0  	{scatter0:NULL:NULL,cxgain0:x:complex}
connect cxgain0 0 demapper0 0  	{cxgain0:NULL:NULL,demapper0: x : complex }
connect demapper0 0 stats0 0  	{demapper0: out3soft : float ,stats0:x:float}
connect stats0 0 vitdec_pars802160 0  	{stats0:NULL:NULL,vitdec_pars802160: symbols : float }
connect vitdec_pars802160 0 ecountfap0 1  	{vitdec_pars802160: bits : float ,ecountfap0:x:float}
connect ecountfap0 0 xplot 0  	

